Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Export content output

GET /api/v1/content/work/{workId}/outputs/{outputId}

Download one authorized content output as Markdown or plain text.

Parameters

workspaceId
string
No description.
workIdrequired
string
No description.
outputIdrequired
string
No description.
format
string
No description.
md | txt

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/v1/content/work/00000000-0000-4000-8000-000000000000/outputs/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"type": "object",
"properties": {
"filename": {
"type": "string"
},
"content": {
"type": "string"
},
"contentType": {
"type": "string"
}
},
"required": [
"filename",
"content",
"contentType"
]
}
},
"required": [
"success",
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline